Module org.firebirdsql.jaybird
Package org.firebirdsql.extern.decimal

# Enum Class DecimalType

java.lang.Object
java.lang.Enum<DecimalType>
org.firebirdsql.extern.decimal.DecimalType

All Implemented Interfaces:
  `Serializable`, `Comparable<DecimalType>`, `Constable`

public enum DecimalType extends Enum<DecimalType>
Type of decimal.

Author:
  Mark Rotteveel

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FINITE`
`INFINITY`
`NAN`
`SIGNALING_NAN`

## Method Summary

Modifier and Type
Method
Description
`static DecimalType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DecimalType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FINITE

public static final DecimalType FINITE

### INFINITY

public static final DecimalType INFINITY

### NAN

public static final DecimalType NAN

### SIGNALING_NAN

public static final DecimalType SIGNALING_NAN

## Method Details

### values

public static DecimalType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static DecimalType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null